import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "InvoiceIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M21 22L18 20L15 22L12 20L9 22L6 20L3 22V3H21V22Z",
            })
        ])
    },
})